package cn.com.victorysoft.business.sys.service;

import cn.com.victorysoft.business.sys.dao.SysDataTypeDao;
import cn.com.victorysoft.business.sys.dao.SysDictDao;
import cn.com.victorysoft.business.sys.entity.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SysDictService {

    @Resource
    private SysDataTypeDao sysDataTypeDao;

    @Resource
    private SysDictDao sysFlagDao;

    /**
     * 查询数据类型
     */
    public List<SysDataType> queryDataType() {
        return sysDataTypeDao.selectList();
    }

    /**
     * 查询字典
     */
    public List<SysFlag> queryDict(String categoryCode) {
        return sysFlagDao.selectByCategory(categoryCode);
    }


    public SysFlag selectByPrimaryKey(String categoryCode, String flagCode) {
        return sysFlagDao.selectByPrimaryKey(categoryCode, flagCode);
    }

    public List<WellType> selectWellType() {
        return sysFlagDao.selectWellType();
    }

    public List<RodDevicePump> selectRodDevicePump() {
        return sysFlagDao.selectRodDevicePump();
    }

    public List<RodDeviceRod> selectRodDeviceRod() {
        return sysFlagDao.selectRodDeviceRod();
    }

    public List<RodDeviceSucker> selectRodDeviceSucker() {
        return sysFlagDao.selectRodDeviceSucker();
    }

    public List<RodDeviceTube> selectRodDeviceTube() {
        return sysFlagDao.selectRodDeviceTube();
    }
}
